ScriptControlPlugin (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.ScriptControlPlugin class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class ScriptControlPlugin

    java.lang.Object
      org.hyperic.hq.product.GenericPlugin
          org.hyperic.hq.product.ControlPlugin
              org.hyperic.hq.product.ServerControlPlugin
                  org.hyperic.hq.product.ScriptControlPlugin

    public class ScriptControlPlugin

extends ServerControlPlugin

Field Summary

Fields inherited from class org.hyperic.hq.product.ServerControlPlugin
`PROP_PIDFILE, PROP_PROGRAM, PROP_PROGRAMPREFIX`

Fields inherited from class org.hyperic.hq.product.ControlPlugin
`DEFAULT_TIMEOUT, manager, PROP_TIMEOUT, RESULT_FAILURE, RESULT_SUCCESS, STATE_RESTARTING, STATE_STARTED, STATE_STARTING, STATE_STOPPED, STATE_STOPPING, STATE_UNKNOWN`

Fields inherited from class org.hyperic.hq.product.GenericPlugin
`config, FILE_DELIM, FILE_DELIM_ESC, PROP_NAME`

Constructor Summary
`ScriptControlPlugin()`

Method Summary
`void` | `doAction(java.lang.String action, java.lang.String[] args)` For use by pure-XML plugins to implement script-based control actions.
`protected boolean` | `isBackgroundCommand()`

Methods inherited from class org.hyperic.hq.product.ServerControlPlugin
`configure, doCommand, doCommand, doCommand, doCommand, doCommand, getBackgroundWaitTime, getCommandArgs, getCommandEnv, getConfigSchema, getControlProgram, getControlProgramDir, getControlProgramPrefix, getExitCode, getInstallPrefix, getPidFile, getServerConfigSchema, getWorkingDirectory, handleResult, isProcessRunning, isProcessRunning, isRunning, setBackgroundWaitTime, setControlProgram, setControlProgramPrefix, setInstallPrefix, setPidFile, shutdown, start, useConfigSchema, useSigar, validateControlProgram`

Methods inherited from class org.hyperic.hq.product.ControlPlugin
`detectState, doAction, getActions, getManager, getMessage, getResult, getTimeout, getTimeoutMillis, init, setManager, setMessage, setResult, setTimeout, setTimeout, waitForState`

Methods inherited from class org.hyperic.hq.product.GenericPlugin
`adjustClassPath, getAbsoluteFiles, getConfig, getConfig, getCustomPropertiesSchema, getCustomPropertiesSchema, getCustomPropertiesSchema, getDefaultInstallPath, getLog, getLogName, getManagerProperty, getName, getPlatformName, getPluginClassName, getPluginData, getPluginProperty, getProductPlugin, getProperties, getScriptExtension, getScriptExtension, getScriptExtension, getTypeInfo, getTypeNameProperty, getTypeNameProperty, getTypeProperties, getTypeProperty, getTypeProperty, getTypeProperty, isNetStatEnabled, isWin32, openResource, setData, setName, setTypeInfo, toFileList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScriptControlPlugin

    public ScriptControlPlugin()

Method Detail

### doAction

    public void doAction(java.lang.String action,
                         java.lang.String[] args)
                  throws PluginException

  For use by pure-XML plugins to implement script-based control actions.

  Overrides:
    `doAction` in class `ControlPlugin`
  Throws:
    `PluginException`

### isBackgroundCommand

    protected boolean isBackgroundCommand()

  Overrides:
    `isBackgroundCommand` in class `ServerControlPlugin`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.